Subject: bug#67796: Automake is not compatible with older Autoconfs we provide

From: Ekaitz Zarraga <[email-masked]>
Date: Thu, 11 Jan 2024 11:40:31 +0100

Hi,

On 2024-01-11 10:42, Giovanni Biscuolo wrote:
> Hi Ekaitz
> 
> Ekaitz Zarraga <[email-masked]> writes:
> 
>> Hi,
>>
>> We have automake packaged, but it's not compatible with older autoconf
>> versions so autoconf is not very usable at this point.
>>
>> ```
>> Ekaitz@tuxedo ~/projects/nlnet/gcc/libstdc++-v3 (riscv)$ guix shell
>> automake [email-masked]
> 
> is there a reason you need to "pin" to the 2.64 version?

I had one, I was working on GCC bootstrapping... It's not a big deal if 
we just remove the older versions.

The problem I wanted to make us notice is we were keeping the 2.64 
version and we didn't really provide any compatible automake, so the 
[email-masked] was almost useless.

If no package uses those, it's ok to remove. I can always time-machine 
around the problem.

Thanks!